package com.bocloud.nms.model.veeam;

import java.util.List;

public class ObjectRestorePointModel {

    private String id;
    private String name;
    private String platformName;
    private String platformId;
    private String creationTime;
    private String backupId;
    private String backupObjectId;
    private String type;
    private List<String> allowedOperations;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBackupObjectId() {
        return backupObjectId;
    }

    public void setBackupObjectId(String backupObjectId) {
        this.backupObjectId = backupObjectId;
    }

    public List<String> getAllowedOperations() {
        return allowedOperations;
    }

    public void setAllowedOperations(List<String> allowedOperations) {
        this.allowedOperations = allowedOperations;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformId() {
        return platformId;
    }

    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getBackupId() {
        return backupId;
    }

    public void setBackupId(String backupId) {
        this.backupId = backupId;
    }

    public List<String> getAllowedOperatinos() {
        return allowedOperations;
    }

    public void setAllowedOperatinos(List<String> allowedOperatinos) {
        this.allowedOperations = allowedOperatinos;
    }

    @Override
    public String toString() {
        return "ObjectRestorePointModel{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", platformName='" + platformName + '\'' +
                ", platformId='" + platformId + '\'' +
                ", creationTime='" + creationTime + '\'' +
                ", backupId='" + backupId + '\'' +
                ", allowedOperations=" + allowedOperations +
                '}';
    }
}
